# Audio volume

A decision block that checks the volume setting for an audio stream.

If the proceed option is set to Immediately, then check the current audio volume without pausing the fiber. If set to When changed, then the fiber will pause until the volume has changed to within the range, or it’s no longer within the range.

If both minimum volume and maximum volume is set and doesn’t evaluate to `null` then the volume must be within the range. If only minimum is set, then the volume must be greater than or equal to it. If only maximum is set, then the volume must be less than or equal to it. If neither minimum nor maximum is set, then the current volume is just assigned to the current level variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum volume — minimum audio volume in percent.
- Maximum volume — maximum audio volume in percent.
- Audio stream — audio stream, default is Voice call.

## Output variables

- Current volume — variable to assign the current audio volume in percent.